--- Source/Core/Common/Src/CommonPaths.h.orig	2010-03-25 09:06:57.495049789 +0000
+++ Source/Core/Common/Src/CommonPaths.h	2010-03-25 09:11:36.381927032 +0000
@@ -29,7 +29,7 @@
 #elif defined __APPLE__
 	#define PLUGIN_PREFIX "lib"
 	#define PLUGIN_SUFFIX ".dylib"
-#elif defined __linux__
+#elif defined __linux__ || defined __FreeBSD__
 	#define PLUGIN_PREFIX "lib"
 	#define PLUGIN_SUFFIX ".so"
 #endif
@@ -43,7 +43,7 @@
 	#define PLUGINS_DIR "Plugins"
 #elif defined __APPLE__
 	#define PLUGINS_DIR "Contents/PlugIns"
-#elif defined __linux__
+#elif defined __linux__ || defined __FreeBSD__
 	#ifdef LIBS_DIR
 		#define PLUGINS_DIR LIBS_DIR "dolphin-emu"
 	#else
@@ -59,7 +59,7 @@
 #elif defined __APPLE__
 	#define USERDATA_DIR "User"
 	#define DOLPHIN_DATA_DIR "Library/Application Support/Dolphin"
-#elif defined __linux__
+#elif defined __linux__ || defined __FreeBSD__
 	#define USERDATA_DIR "user"
 	#ifdef USER_DIR
 		#define DOLPHIN_DATA_DIR USER_DIR
@@ -73,7 +73,7 @@
 	#define SYSDATA_DIR "Sys"
 #elif defined __APPLE__
 	#define SYSDATA_DIR "Contents/Sys"
-#elif defined __linux__
+#elif defined __linux__ || defined __FreeBSD__
 	#ifdef DATA_DIR
 		#define SYSDATA_DIR DATA_DIR "sys"
 		#define SHARED_USER_DIR  DATA_DIR USERDATA_DIR DIR_SEP
