--- Source/Core/Core/Src/HW/BBA-TAP/TAP_Unix.cpp.orig	2010-03-19 09:41:03.000000000 +0000
+++ Source/Core/Core/Src/HW/BBA-TAP/TAP_Unix.cpp	2010-03-26 18:22:25.621335253 +0000
@@ -24,7 +24,11 @@
 	#include <fcntl.h>
 	#include <sys/ioctl.h>
 	#include <net/if.h>  
+#if defined __FreeBSD__
+	#include <net/if_tun.h>
+#else
 	#include <linux/if_tun.h>
+#endif
 	#include <assert.h>
 	int fd = -1;
 bool CEXIETHERNET::deactivate()
@@ -47,7 +51,7 @@
 		return false;
 	}
 	struct ifreq ifr;
-#if !defined(__APPLE__)	
+#if !defined(__APPLE__) && !defined(__FreeBSD__)
 	int err;
 	memset(&ifr, 0, sizeof(ifr));
 	ifr.ifr_flags = IFF_TAP | IFF_NO_PI | IFF_ONE_QUEUE;
