--- Externals/wxWidgets/src/common/stopwatch.cpp.orig	2010-03-25 10:43:41.471101773 +0000
+++ Externals/wxWidgets/src/common/stopwatch.cpp	2010-03-25 10:44:31.195881040 +0000
@@ -290,13 +290,13 @@
         return 0;
     }
 #elif defined(HAVE_FTIME)
-    struct timeb tp;
+    struct timeval t;
 
     // ftime() is void and not int in some mingw32 headers, so don't
     // test the return code (well, it shouldn't fail anyhow...)
-    (void)::ftime(&tp);
-    val *= tp.time;
-    return (val + tp.millitm);
+    (void)gettimeofday(&t, NULL);
+    val *= t.tv_sec;
+    return (val + t.tv_usec / 1000);
 #elif defined(__WXMAC__)
 
     static UInt64 gMilliAtStart = 0;
